// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 77;
	objects = {

/* Begin PBXBuildFile section */
		0E241ECF2F0DAA3C00283E2F /* WidgetKit.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 0E241ECE2F0DAA3C00283E2F /* WidgetKit.framework */; };
		0E241ED12F0DAA3C00283E2F /* SwiftUI.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 0E241ED02F0DAA3C00283E2F /* SwiftUI.framework */; };
		0E241EE22F0DAA3E00283E2F /* PortfolioJournalWidgetExtension.appex in Embed Foundation Extensions */ = {isa = PBXBuildFile; fileRef = 0E241ECC2F0DAA3C00283E2F /* PortfolioJournalWidgetExtension.appex */; settings = {ATTRIBUTES = (RemoveHeadersOnCopy, ); }; };
		0E53752B2F0FD08100F31390 /* FirebaseCore in Frameworks */ = {isa = PBXBuildFile; productRef = 0E53752A2F0FD08100F31390 /* FirebaseCore */; };
		0E53752D2F0FD08600F31390 /* FirebaseAnalytics in Frameworks */ = {isa = PBXBuildFile; productRef = 0E53752C2F0FD08600F31390 /* FirebaseAnalytics */; };
		0E53752F2F0FD09F00F31390 /* CoreData.framework in Frameworks */ = {isa = PBXBuildFile; fileRef = 0E53752E2F0FD09F00F31390 /* CoreData.framework */; };
		0E5375312F0FD12E00F31390 /* GoogleMobileAds in Frameworks */ = {isa = PBXBuildFile; productRef = 0E5375302F0FD12E00F31390 /* GoogleMobileAds */; };
		0E5375352F0FD14000F31390 /* FirebaseCrashlytics in Frameworks */ = {isa = PBXBuildFile; productRef = 0E5375342F0FD14000F31390 /* FirebaseCrashlytics */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		0E241EE02F0DAA3E00283E2F /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 0E241E312F0DA93A00283E2F /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 0E241ECB2F0DAA3C00283E2F;
			remoteInfo = PortfolioJournalWidgetExtension;
		};
		0E481F2C2F2E958100CF94C5 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 0E241E312F0DA93A00283E2F /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 0E241E382F0DA93A00283E2F;
			remoteInfo = PortfolioJournal;
		};
		0E481F2D2F2E958100CF94C5 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 0E241E312F0DA93A00283E2F /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 0E241E382F0DA93A00283E2F;
			remoteInfo = PortfolioJournal;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXCopyFilesBuildPhase section */
		0E241EE72F0DAA3E00283E2F /* Embed Foundation Extensions */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 13;
			files = (
				0E241EE22F0DAA3E00283E2F /* PortfolioJournalWidgetExtension.appex in Embed Foundation Extensions */,
			);
			name = "Embed Foundation Extensions";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		0E241E392F0DA93A00283E2F /* PortfolioJournal.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = PortfolioJournal.app; sourceTree = BUILT_PRODUCTS_DIR; };
		0E241ECC2F0DAA3C00283E2F /* PortfolioJournalWidgetExtension.appex */ = {isa = PBXFileReference; explicitFileType = "wrapper.app-extension"; includeInIndex = 0; path = PortfolioJournalWidgetExtension.appex; sourceTree = BUILT_PRODUCTS_DIR; };
		0E241ECE2F0DAA3C00283E2F /* WidgetKit.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = WidgetKit.framework; path = System/Library/Frameworks/WidgetKit.framework; sourceTree = SDKROOT; };
		0E241ED02F0DAA3C00283E2F /* SwiftUI.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = SwiftUI.framework; path = System/Library/Frameworks/SwiftUI.framework; sourceTree = SDKROOT; };
		0E241EED2F0DAC7D00283E2F /* PortfolioJournalWidgetExtension.entitlements */ = {isa = PBXFileReference; lastKnownFileType = text.plist.entitlements; path = PortfolioJournalWidgetExtension.entitlements; sourceTree = "<group>"; };
		0E53752E2F0FD09F00F31390 /* CoreData.framework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.framework; name = CoreData.framework; path = System/Library/Frameworks/CoreData.framework; sourceTree = SDKROOT; };
		0ETEST0002F31000000000001 /* PortfolioJournalTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = PortfolioJournalTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		0EUITEST002F31000000001 /* PortfolioJournalUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = PortfolioJournalUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
/* End PBXFileReference section */

/* Begin PBXFileSystemSynchronizedBuildFileExceptionSet section */
		0E44005C2F184C7100525EE3 /* Exceptions for "PortfolioJournal" folder in "PortfolioJournalWidgetExtension" target */ = {
			isa = PBXFileSystemSynchronizedBuildFileExceptionSet;
			membershipExceptions = (
				Models/CoreData/PortfolioJournal.xcdatamodeld,
			);
			target = 0E241ECB2F0DAA3C00283E2F /* PortfolioJournalWidgetExtension */;
		};
		0E8318942F0DB2FB0030C2F9 /* Exceptions for "PortfolioJournal" folder in "PortfolioJournal" target */ = {
			isa = PBXFileSystemSynchronizedBuildFileExceptionSet;
			membershipExceptions = (
				Resources/Info.plist,
			);
			target = 0E241E382F0DA93A00283E2F /* PortfolioJournal */;
		};
		0E8318952F0DB2FB0030C2F9 /* Exceptions for "PortfolioJournalWidget" folder in "PortfolioJournalWidgetExtension" target */ = {
			isa = PBXFileSystemSynchronizedBuildFileExceptionSet;
			membershipExceptions = (
				Info.plist,
			);
			target = 0E241ECB2F0DAA3C00283E2F /* PortfolioJournalWidgetExtension */;
		};
/* End PBXFileSystemSynchronizedBuildFileExceptionSet section */

/* Begin PBXFileSystemSynchronizedRootGroup section */
		0E241E3B2F0DA93A00283E2F /* PortfolioJournal */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			exceptions = (
				0E8318942F0DB2FB0030C2F9 /* Exceptions for "PortfolioJournal" folder in "PortfolioJournal" target */,
				0E44005C2F184C7100525EE3 /* Exceptions for "PortfolioJournal" folder in "PortfolioJournalWidgetExtension" target */,
			);
			path = PortfolioJournal;
			sourceTree = "<group>";
		};
		0E241ED22F0DAA3C00283E2F /* PortfolioJournalWidget */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			exceptions = (
				0E8318952F0DB2FB0030C2F9 /* Exceptions for "PortfolioJournalWidget" folder in "PortfolioJournalWidgetExtension" target */,
			);
			path = PortfolioJournalWidget;
			sourceTree = "<group>";
		};
		0ETEST0032F31000000000001 /* PortfolioJournalTests */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			path = PortfolioJournalTests;
			sourceTree = "<group>";
		};
		0EUITEST032F31000000001 /* PortfolioJournalUITests */ = {
			isa = PBXFileSystemSynchronizedRootGroup;
			path = PortfolioJournalUITests;
			sourceTree = "<group>";
		};
/* End PBXFileSystemSynchronizedRootGroup section */

/* Begin PBXFrameworksBuildPhase section */
		0E241E362F0DA93A00283E2F /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0E5375312F0FD12E00F31390 /* GoogleMobileAds in Frameworks */,
				0E53752D2F0FD08600F31390 /* FirebaseAnalytics in Frameworks */,
				0E53752F2F0FD09F00F31390 /* CoreData.framework in Frameworks */,
				0E53752B2F0FD08100F31390 /* FirebaseCore in Frameworks */,
				0E5375352F0FD14000F31390 /* FirebaseCrashlytics in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0E241EC92F0DAA3C00283E2F /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				0E241ED12F0DAA3C00283E2F /* SwiftUI.framework in Frameworks */,
				0E241ECF2F0DAA3C00283E2F /* WidgetKit.framework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0ETEST0042F31000000000001 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0EUITEST042F31000000001 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		0E241E302F0DA93A00283E2F = {
			isa = PBXGroup;
			children = (
				0E241EED2F0DAC7D00283E2F /* PortfolioJournalWidgetExtension.entitlements */,
				0E241E3B2F0DA93A00283E2F /* PortfolioJournal */,
				0E241ED22F0DAA3C00283E2F /* PortfolioJournalWidget */,
				0ETEST0032F31000000000001 /* PortfolioJournalTests */,
				0EUITEST032F31000000001 /* PortfolioJournalUITests */,
				0E241ECD2F0DAA3C00283E2F /* Frameworks */,
				0E241E3A2F0DA93A00283E2F /* Products */,
			);
			sourceTree = "<group>";
		};
		0E241E3A2F0DA93A00283E2F /* Products */ = {
			isa = PBXGroup;
			children = (
				0E241E392F0DA93A00283E2F /* PortfolioJournal.app */,
				0E241ECC2F0DAA3C00283E2F /* PortfolioJournalWidgetExtension.appex */,
				0ETEST0002F31000000000001 /* PortfolioJournalTests.xctest */,
				0EUITEST002F31000000001 /* PortfolioJournalUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		0E241ECD2F0DAA3C00283E2F /* Frameworks */ = {
			isa = PBXGroup;
			children = (
				0E53752E2F0FD09F00F31390 /* CoreData.framework */,
				0E241ECE2F0DAA3C00283E2F /* WidgetKit.framework */,
				0E241ED02F0DAA3C00283E2F /* SwiftUI.framework */,
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		0E241E382F0DA93A00283E2F /* PortfolioJournal */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0E241E4A2F0DA93C00283E2F /* Build configuration list for PBXNativeTarget "PortfolioJournal" */;
			buildPhases = (
				0E241E352F0DA93A00283E2F /* Sources */,
				0E241E362F0DA93A00283E2F /* Frameworks */,
				0E241EE72F0DAA3E00283E2F /* Embed Foundation Extensions */,
				0E8318932F0DB2FB0030C2F9 /* Resources */,
				0E5375362F0FD14000F31390 /* Upload dSYMs to Crashlytics */,
			);
			buildRules = (
			);
			dependencies = (
				0E241EE12F0DAA3E00283E2F /* PBXTargetDependency */,
			);
			fileSystemSynchronizedGroups = (
				0E241E3B2F0DA93A00283E2F /* PortfolioJournal */,
			);
			name = PortfolioJournal;
			packageProductDependencies = (
				0E53752A2F0FD08100F31390 /* FirebaseCore */,
				0E53752C2F0FD08600F31390 /* FirebaseAnalytics */,
				0E5375302F0FD12E00F31390 /* GoogleMobileAds */,
				0E5375342F0FD14000F31390 /* FirebaseCrashlytics */,
			);
			productName = PortfolioJournal;
			productReference = 0E241E392F0DA93A00283E2F /* PortfolioJournal.app */;
			productType = "com.apple.product-type.application";
		};
		0E241ECB2F0DAA3C00283E2F /* PortfolioJournalWidgetExtension */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0E241EE32F0DAA3E00283E2F /* Build configuration list for PBXNativeTarget "PortfolioJournalWidgetExtension" */;
			buildPhases = (
				0E241EC82F0DAA3C00283E2F /* Sources */,
				0E241EC92F0DAA3C00283E2F /* Frameworks */,
				0E241ECA2F0DAA3C00283E2F /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			fileSystemSynchronizedGroups = (
				0E241ED22F0DAA3C00283E2F /* PortfolioJournalWidget */,
			);
			name = PortfolioJournalWidgetExtension;
			packageProductDependencies = (
			);
			productName = PortfolioJournalWidgetExtension;
			productReference = 0E241ECC2F0DAA3C00283E2F /* PortfolioJournalWidgetExtension.appex */;
			productType = "com.apple.product-type.app-extension";
		};
		0ETEST0012F31000000000001 /* PortfolioJournalTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0ETEST0072F31000000000001 /* Build configuration list for PBXNativeTarget "PortfolioJournalTests" */;
			buildPhases = (
				0ETEST0052F31000000000001 /* Sources */,
				0ETEST0042F31000000000001 /* Frameworks */,
				0ETEST0062F31000000000001 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				0ETEST0022F31000000000001 /* PBXTargetDependency */,
			);
			fileSystemSynchronizedGroups = (
				0ETEST0032F31000000000001 /* PortfolioJournalTests */,
			);
			name = PortfolioJournalTests;
			packageProductDependencies = (
			);
			productName = PortfolioJournalTests;
			productReference = 0ETEST0002F31000000000001 /* PortfolioJournalTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		0EUITEST012F31000000001 /* PortfolioJournalUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 0EUITEST072F31000000001 /* Build configuration list for PBXNativeTarget "PortfolioJournalUITests" */;
			buildPhases = (
				0EUITEST052F31000000001 /* Sources */,
				0EUITEST042F31000000001 /* Frameworks */,
				0EUITEST062F31000000001 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				0EUITEST022F31000000001 /* PBXTargetDependency */,
			);
			fileSystemSynchronizedGroups = (
				0EUITEST032F31000000001 /* PortfolioJournalUITests */,
			);
			name = PortfolioJournalUITests;
			packageProductDependencies = (
			);
			productName = PortfolioJournalUITests;
			productReference = 0EUITEST002F31000000001 /* PortfolioJournalUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		0E241E312F0DA93A00283E2F /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 2620;
				LastUpgradeCheck = 2620;
				TargetAttributes = {
					0E241E382F0DA93A00283E2F = {
						CreatedOnToolsVersion = 26.2;
					};
					0E241ECB2F0DAA3C00283E2F = {
						CreatedOnToolsVersion = 26.2;
					};
					0ETEST0012F31000000000001 = {
						CreatedOnToolsVersion = 26.2;
						TestTargetID = 0E241E382F0DA93A00283E2F;
					};
					0EUITEST012F31000000001 = {
						CreatedOnToolsVersion = 26.2;
						TestTargetID = 0E241E382F0DA93A00283E2F;
					};
				};
			};
			buildConfigurationList = 0E241E342F0DA93A00283E2F /* Build configuration list for PBXProject "PortfolioJournal" */;
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
				es,
				"es-ES",
			);
			mainGroup = 0E241E302F0DA93A00283E2F;
			minimizedProjectReferenceProxies = 1;
			packageReferences = (
				0E241EEB2F0DABEC00283E2F /* XCRemoteSwiftPackageReference "firebase-ios-sdk" */,
				0E241EEC2F0DAC2D00283E2F /* XCRemoteSwiftPackageReference "swift-package-manager-google-mobile-ads" */,
			);
			preferredProjectObjectVersion = 77;
			productRefGroup = 0E241E3A2F0DA93A00283E2F /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				0E241E382F0DA93A00283E2F /* PortfolioJournal */,
				0E241ECB2F0DAA3C00283E2F /* PortfolioJournalWidgetExtension */,
				0ETEST0012F31000000000001 /* PortfolioJournalTests */,
				0EUITEST012F31000000001 /* PortfolioJournalUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		0E241ECA2F0DAA3C00283E2F /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0E8318932F0DB2FB0030C2F9 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0ETEST0062F31000000000001 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0EUITEST062F31000000001 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		0E241E352F0DA93A00283E2F /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0E241EC82F0DAA3C00283E2F /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0ETEST0052F31000000000001 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		0EUITEST052F31000000001 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXShellScriptBuildPhase section */
		0E5375362F0FD14000F31390 /* Upload dSYMs to Crashlytics */ = {
			isa = PBXShellScriptBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			inputFileListPaths = (
			);
			inputPaths = (
				"${DWARF_DSYM_FOLDER_PATH}/${DWARF_DSYM_FILE_NAME}/Contents/Resources/DWARF/${TARGET_NAME}",
				"$(BUILT_PRODUCTS_DIR)/$(INFOPLIST_PATH)",
			);
			name = "Upload dSYMs to Crashlytics";
			outputFileListPaths = (
			);
			outputPaths = (
			);
			runOnlyForDeploymentPostprocessing = 0;
			shellPath = /bin/sh;
			shellScript = "\"${BUILD_DIR%/Build/*}/SourcePackages/checkouts/firebase-ios-sdk/Crashlytics/run\"\n";
		};
/* End PBXShellScriptBuildPhase section */

/* Begin PBXTargetDependency section */
		0E241EE12F0DAA3E00283E2F /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 0E241ECB2F0DAA3C00283E2F /* PortfolioJournalWidgetExtension */;
			targetProxy = 0E241EE02F0DAA3E00283E2F /* PBXContainerItemProxy */;
		};
		0ETEST0022F31000000000001 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 0E241E382F0DA93A00283E2F /* PortfolioJournal */;
			targetProxy = 0E481F2C2F2E958100CF94C5 /* PBXContainerItemProxy */;
		};
		0EUITEST022F31000000001 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 0E241E382F0DA93A00283E2F /* PortfolioJournal */;
			targetProxy = 0E481F2D2F2E958100CF94C5 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		0E241E4B2F0DA93C00283E2F /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = PortfolioJournal/PortfolioJournalDebug.entitlements;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 43;
				DEVELOPMENT_ASSET_PATHS = PortfolioJournal/Assets.xcassets;
				DEVELOPMENT_TEAM = 2825Q76T7H;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = NO;
				INFOPLIST_FILE = PortfolioJournal/Resources/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "Portfolio Journal";
				INFOPLIST_KEY_LSApplicationCategoryType = "public.app-category.finance";
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 17.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.4.1;
				PRODUCT_BUNDLE_IDENTIFIER = com.alexandrevazquez.PortfolioJournal;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = YES;
				SWIFT_APPROACHABLE_CONCURRENCY = YES;
				SWIFT_DEFAULT_ACTOR_ISOLATION = MainActor;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_UPCOMING_FEATURE_MEMBER_IMPORT_VISIBILITY = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		0E241E4C2F0DA93C00283E2F /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_ENTITLEMENTS = PortfolioJournal/PortfolioJournal.entitlements;
				ENABLE_USER_SCRIPT_SANDBOXING = NO;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 43;
				DEVELOPMENT_ASSET_PATHS = PortfolioJournal/Assets.xcassets;
				DEVELOPMENT_TEAM = 2825Q76T7H;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = NO;
				INFOPLIST_FILE = PortfolioJournal/Resources/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "Portfolio Journal";
				INFOPLIST_KEY_LSApplicationCategoryType = "public.app-category.finance";
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 17.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.4.1;
				PRODUCT_BUNDLE_IDENTIFIER = com.alexandrevazquez.PortfolioJournal;
				PRODUCT_NAME = "$(TARGET_NAME)";
				STRING_CATALOG_GENERATE_SYMBOLS = YES;
				SWIFT_APPROACHABLE_CONCURRENCY = YES;
				SWIFT_DEFAULT_ACTOR_ISOLATION = MainActor;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_UPCOMING_FEATURE_MEMBER_IMPORT_VISIBILITY = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		0E241E4D2F0DA93C00283E2F /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.0;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		0E241E4E2F0DA93C00283E2F /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.0;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		0E241EE42F0DAA3E00283E2F /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				ASSETCATALOG_COMPILER_WIDGET_BACKGROUND_COLOR_NAME = WidgetBackground;
				CODE_SIGN_ENTITLEMENTS = PortfolioJournalWidgetExtension.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 43;
				DEVELOPMENT_ASSET_PATHS = PortfolioJournalWidget/Assets.xcassets;
				DEVELOPMENT_TEAM = 2825Q76T7H;
				GENERATE_INFOPLIST_FILE = NO;
				INFOPLIST_FILE = PortfolioJournalWidget/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "Portfolio Journal Widget";
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				IPHONEOS_DEPLOYMENT_TARGET = 17.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				MARKETING_VERSION = 1.4.1;
				PRODUCT_BUNDLE_IDENTIFIER = com.alexandrevazquez.PortfolioJournal.PortfolioJournalWidget;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				STRING_CATALOG_GENERATE_SYMBOLS = YES;
				SWIFT_APPROACHABLE_CONCURRENCY = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_UPCOMING_FEATURE_MEMBER_IMPORT_VISIBILITY = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		0E241EE52F0DAA3E00283E2F /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				ASSETCATALOG_COMPILER_WIDGET_BACKGROUND_COLOR_NAME = WidgetBackground;
				CODE_SIGN_ENTITLEMENTS = PortfolioJournalWidgetExtension.entitlements;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 43;
				DEVELOPMENT_ASSET_PATHS = PortfolioJournalWidget/Assets.xcassets;
				DEVELOPMENT_TEAM = 2825Q76T7H;
				GENERATE_INFOPLIST_FILE = NO;
				INFOPLIST_FILE = PortfolioJournalWidget/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "Portfolio Journal Widget";
				INFOPLIST_KEY_NSHumanReadableCopyright = "";
				IPHONEOS_DEPLOYMENT_TARGET = 17.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@executable_path/../../Frameworks",
				);
				MARKETING_VERSION = 1.4.1;
				PRODUCT_BUNDLE_IDENTIFIER = com.alexandrevazquez.PortfolioJournal.PortfolioJournalWidget;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SKIP_INSTALL = YES;
				STRING_CATALOG_GENERATE_SYMBOLS = YES;
				SWIFT_APPROACHABLE_CONCURRENCY = YES;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_UPCOMING_FEATURE_MEMBER_IMPORT_VISIBILITY = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		0ETEST0082F31000000000001 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 43;
				DEVELOPMENT_TEAM = 2825Q76T7H;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				MARKETING_VERSION = 1.4.1;
				PRODUCT_BUNDLE_IDENTIFIER = com.alexandrevazquez.PortfolioJournalTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/PortfolioJournal.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/PortfolioJournal";
			};
			name = Debug;
		};
		0ETEST0092F31000000000001 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 43;
				DEVELOPMENT_TEAM = 2825Q76T7H;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				MARKETING_VERSION = 1.4.1;
				PRODUCT_BUNDLE_IDENTIFIER = com.alexandrevazquez.PortfolioJournalTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/PortfolioJournal.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/PortfolioJournal";
			};
			name = Release;
		};
		0EUITEST082F31000000001 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 43;
				DEVELOPMENT_TEAM = 2825Q76T7H;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				MARKETING_VERSION = 1.4.1;
				PRODUCT_BUNDLE_IDENTIFIER = com.alexandrevazquez.PortfolioJournalUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = PortfolioJournal;
			};
			name = Debug;
		};
		0EUITEST092F31000000001 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 43;
				DEVELOPMENT_TEAM = 2825Q76T7H;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.6;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				MARKETING_VERSION = 1.4.1;
				PRODUCT_BUNDLE_IDENTIFIER = com.alexandrevazquez.PortfolioJournalUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = PortfolioJournal;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		0E241E342F0DA93A00283E2F /* Build configuration list for PBXProject "PortfolioJournal" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0E241E4D2F0DA93C00283E2F /* Debug */,
				0E241E4E2F0DA93C00283E2F /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		0E241E4A2F0DA93C00283E2F /* Build configuration list for PBXNativeTarget "PortfolioJournal" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0E241E4B2F0DA93C00283E2F /* Debug */,
				0E241E4C2F0DA93C00283E2F /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		0E241EE32F0DAA3E00283E2F /* Build configuration list for PBXNativeTarget "PortfolioJournalWidgetExtension" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0E241EE42F0DAA3E00283E2F /* Debug */,
				0E241EE52F0DAA3E00283E2F /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		0ETEST0072F31000000000001 /* Build configuration list for PBXNativeTarget "PortfolioJournalTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0ETEST0082F31000000000001 /* Debug */,
				0ETEST0092F31000000000001 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		0EUITEST072F31000000001 /* Build configuration list for PBXNativeTarget "PortfolioJournalUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				0EUITEST082F31000000001 /* Debug */,
				0EUITEST092F31000000001 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */

/* Begin XCRemoteSwiftPackageReference section */
		0E241EEB2F0DABEC00283E2F /* XCRemoteSwiftPackageReference "firebase-ios-sdk" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/firebase/firebase-ios-sdk";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 12.7.0;
			};
		};
		0E241EEC2F0DAC2D00283E2F /* XCRemoteSwiftPackageReference "swift-package-manager-google-mobile-ads" */ = {
			isa = XCRemoteSwiftPackageReference;
			repositoryURL = "https://github.com/googleads/swift-package-manager-google-mobile-ads";
			requirement = {
				kind = upToNextMajorVersion;
				minimumVersion = 12.14.0;
			};
		};
/* End XCRemoteSwiftPackageReference section */

/* Begin XCSwiftPackageProductDependency section */
		0E53752A2F0FD08100F31390 /* FirebaseCore */ = {
			isa = XCSwiftPackageProductDependency;
			package = 0E241EEB2F0DABEC00283E2F /* XCRemoteSwiftPackageReference "firebase-ios-sdk" */;
			productName = FirebaseCore;
		};
		0E53752C2F0FD08600F31390 /* FirebaseAnalytics */ = {
			isa = XCSwiftPackageProductDependency;
			package = 0E241EEB2F0DABEC00283E2F /* XCRemoteSwiftPackageReference "firebase-ios-sdk" */;
			productName = FirebaseAnalytics;
		};
		0E5375302F0FD12E00F31390 /* GoogleMobileAds */ = {
			isa = XCSwiftPackageProductDependency;
			package = 0E241EEC2F0DAC2D00283E2F /* XCRemoteSwiftPackageReference "swift-package-manager-google-mobile-ads" */;
			productName = GoogleMobileAds;
		};
		0E5375342F0FD14000F31390 /* FirebaseCrashlytics */ = {
			isa = XCSwiftPackageProductDependency;
			package = 0E241EEB2F0DABEC00283E2F /* XCRemoteSwiftPackageReference "firebase-ios-sdk" */;
			productName = FirebaseCrashlytics;
		};
/* End XCSwiftPackageProductDependency section */
	};
	rootObject = 0E241E312F0DA93A00283E2F /* Project object */;
}
